From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-R/testit/
Date: Tue, 5 Jul 2022 07:14:31 +0000 (UTC) [thread overview]
Message-ID: <1656941227.07490c2edee4188458085da03ef678cd3876f6f0.flow@gentoo> (raw)
commit: 07490c2edee4188458085da03ef678cd3876f6f0
Author: Robert Greener <me <AT> r0bert <DOT> dev>
AuthorDate: Mon Jul 4 13:27:07 2022 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Mon Jul 4 13:27:07 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=07490c2e
dev-R/testit: new package, add 0.13
Signed-off-by: Robert Greener <me <AT> r0bert.dev>
dev-R/testit/Manifest | 1 +
dev-R/testit/metadata.xml | 17 +++++++++++++++++
dev-R/testit/testit-0.13.ebuild | 20 ++++++++++++++++++++
3 files changed, 38 insertions(+)
diff --git a/dev-R/testit/Manifest b/dev-R/testit/Manifest
new file mode 100644
index 000000000..77834ed9f
--- /dev/null
+++ b/dev-R/testit/Manifest
@@ -0,0 +1 @@
+DIST testit_0.13.tar.gz 8493 BLAKE2B c1375be2392f3acc15e66deff6d45b4f4d750c15d8f6254ca63062208baa9943d79c875fecd13c98fe5000bf572633aed7c98015305dfbf0fab59371f5f6fda4 SHA512 f48774a055d6eb04523e6c3a7afdbc74698aa11accc13cd66d860feab9a584a816c430196bf7e12999ea20746c9b85b6544af9dc8e16922694968392eab36d3f
diff --git a/dev-R/testit/metadata.xml b/dev-R/testit/metadata.xml
new file mode 100644
index 000000000..3823f9b80
--- /dev/null
+++ b/dev-R/testit/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>me@r0bert.dev</email>
+ <name>Robert Greener</name>
+ </maintainer>
+ <longdescription lang="en">Helper functions to install and maintain the 'LaTeX' distribution named 'TinyTeX' (https://yihui.org/tinytex/), a lightweight, cross-platform, portable, and easy-to-maintain version of 'TeX Live'. This package also contains helper functions to compile 'LaTeX' documents, and install missing 'LaTeX' packages automatically.</longdescription>
+ <upstream>
+ <maintainer>
+ <name>Yihui Xie</name>
+ <email>xie@yihui.name</email>
+ </maintainer>
+ <bugs-to>https://github.com/yihui/testit/issues</bugs-to>
+ <remote-id type="github">yihui/testit</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-R/testit/testit-0.13.ebuild b/dev-R/testit/testit-0.13.ebuild
new file mode 100644
index 000000000..4317d2d9b
--- /dev/null
+++ b/dev-R/testit/testit-0.13.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit R-packages edo
+
+DESCRIPTION='A Simple Package for Testing R Packages'
+KEYWORDS="~amd64"
+LICENSE='GPL-3'
+
+SUGGESTED_PACKAGES="
+ dev-R/rstudioapi
+ dev-R/covr
+"
+
+src_test() {
+ cd "${WORKDIR}/${P}/tests" || die
+ R_LIBS="${T}/R" edo Rscript --vanilla test-all.R
+}
next reply other threads:[~2022-07-05 7:14 UTC|newest]
Thread overview: 3+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-05 7:14 Florian Schmaus [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-09-08 10:06 [gentoo-commits] repo/proj/guru:dev commit in: dev-R/testit/ Andrew Ammerlaan
2022-09-08 10:06 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2022-07-05 7:14 Florian Schmaus
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656941227.07490c2edee4188458085da03ef678cd3876f6f0.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox